/**
 * 冰霜模糊效果
 */

#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;

float rand(vec2 co)
{
	// TODO sin cos 过于废，考虑查表或替代方案
	return fract( sin(dot(co.xy,vec2(100,100))) + cos(dot(co.xy,vec2(50,50)))*5.0 );
}
void main()
{
	vec4 c = texture2D(CC_Texture0, v_texCoord);
	if (c.a > 0.0)
	{
		vec2 rnd = vec2(0.0);
		rnd = vec2(rand(v_texCoord), rand(v_texCoord));
		gl_FragColor = texture2D(CC_Texture0, v_texCoord + rnd * 0.02);
	}
	else
	{
		gl_FragColor = texture2D(CC_Texture0, v_texCoord);
	}
}