/**
 * 黑白照片效果
 */

#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main(void)
{
    vec4 c = texture2D(CC_Texture0, v_texCoord);
    if ((c.r + c.g + c.b)/3.0 > 210.0/255.0) {
        c.rgb = vec3(1);
    }
    else{
        c.rgb = vec3(0);
    }
    gl_FragColor = vec4(c.rgb, 1.0);
}