/**
 * 浮雕效果
 */

#ifdef GL_ES
precision mediump float
#endif

varying vec2 v_texCoord;

uniform vec2 textureSize;

void main()
{
  vec4 c = texture2D(CC_Texture0, v_texCoord);
  float a = c.a;
  vec2 onePixel = vec2(1.0 / textureSize.x, 1.0 / textureSize.y);
  vec2 texCoord = v_texCoord;
  
  vec4 color;
  color.rgb = vec3(0);
  if (c.a > 0.0)
  {
    color.rgb = vec3(0.5);
    color -= texture2D(CC_Texture0, texCoord - onePixel) * 5.0;
    color += texture2D(CC_Texture0, texCoord + onePixel) * 5.0;
    color.rgb = vec3((color.r + color.g + color.b) / 3.0);
  }
  gl_FragColor = vec4(color.rgb, a);
}
